﻿;==============================================================================================================================================================================
; Remove borders from various gadgets
;==============================================================================================================================================================================

Procedure RemoveBorders(GadgetConstant.i)
  
  ;------------------------------------------------------------------------------------------------
  ; Get the gadget type from the passed gadget constant
  ;------------------------------------------------------------------------------------------------
  
  GadgetType.i = GadgetType(GadgetConstant.i)
  
  ;------------------------------------------------------------------------------------------------
  ; Select the gadget type
  ;------------------------------------------------------------------------------------------------
  
  Select GadgetType.i
      
    ;----------------------------------------------------------------------------------------------
    ; Do the below if it is a ListIconGadget
    ;----------------------------------------------------------------------------------------------
      
    Case  #PB_GadgetType_ListIcon
      
      ;--------------------------------------------------------------------------------------------
      ; Remove borders from ListIconGadgets
      ;--------------------------------------------------------------------------------------------
      
      OldStyle.i  = GetWindowLongPtr_(GadgetID(GadgetConstant.i), #GWL_EXSTYLE)
      
      NewStyle.i  = OldStyle.i & ( ~ #WS_EX_CLIENTEDGE)
      
      SetWindowLongPtr_(GadgetID(GadgetConstant.i), #GWL_EXSTYLE, NewStyle.i)
      
      SetWindowPos_(GadgetID(GadgetConstant.i), 0, 0, 0, 0, 0, #SWP_SHOWWINDOW | #SWP_NOSIZE | #SWP_NOMOVE | #SWP_FRAMECHANGED)
      
      ;--------------------------------------------------------------------------------------------
      ; No more control types
      ;--------------------------------------------------------------------------------------------
      
  EndSelect
  
  ;------------------------------------------------------------------------------------------------
  ; Nothing else to do here
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.61 (Windows - x86)
; CursorPosition = 1
; Folding = -
; EnableAsm
; EnableXP
; EnableUnicode