﻿;==============================================================================================================================================================================
; Start dragging selected resources to the resource list
;==============================================================================================================================================================================

Procedure DragToResourceFileList()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  FileList\CurrentDirectory.s = GetGadgetText(#Gadget_RashadBin_FileTree)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  NumberOfItems.i = CountGadgetItems(#Gadget_RashadBin_FileTree)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If NumberOfItems.i
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    For FileGatherLoop.i = 0 To NumberOfItems.i -1
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      If GetGadgetItemState(#Gadget_RashadBin_FileTree, FileGatherLoop.i) & #PB_Explorer_Selected
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        FileList\CurrentFile.s  = GetGadgetItemText(#Gadget_RashadBin_FileTree, FileGatherLoop.i, #NameColumn)
        
        FileList\CurrentType.s  = GetExtensionPart(FileList\CurrentFile.s)
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        Select LCase(FileList\CurrentType.s)
            
          Case "png", "jpg", "tif", "bmp", "tga", "ico"
            
            OutPutString.s + FileList\CurrentFile.s + "|" + FileList\CurrentType.s + "|" + FileList\CurrentDirectory.s + #LF$
            
        EndSelect
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
      EndIf
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    Next FileGatherLoop.i
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If OutPutString.s
      
      DragText(OutPutString.s, #PB_Drag_Copy)
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  Else
    
    SetInfoBarArea("Headings",  "Info",  "No items in the list so we should just stop right now", #PB_Compiler_Procedure)
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.61 (Windows - x86)
; CursorPosition = 86
; FirstLine = 47
; Folding = -
; EnableAsm
; EnableXP
; HideErrorLog
; EnableUnicode