﻿;==========================================================================================================================================================
; Double click adding a single resource to the list
;==========================================================================================================================================================

Procedure AddSingleFileToFileList()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  FileList\CurrentLine.i        = GetGadgetState(#Gadget_RashadBin_FileTree)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  FileList\CurrentFile.s       = GetFilePart(GetGadgetItemText(#Gadget_RashadBin_FileTree, FileList\CurrentLine.i, 0))
  
  FileList\CurrentType.s       = GetExtensionPart(FileList\CurrentFile.s)
  
  FileList\CurrentDirectory.s  = GetGadgetText(#Gadget_RashadBin_FileTree)

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  NumberOfItems.i              = CountGadgetItems(#Gadget_RashadBin_FileList)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If NumberOfItems.i  <>  #NoListItems
    
    For CompareLoop.i = 0 To NumberOfItems.i - 1
      
      CompareFileName.s = GetGadgetItemText(#Gadget_RashadBin_FileList, CompareLoop.i, 0)
      
      CompareFileType.s = GetGadgetItemText(#Gadget_RashadBin_FileList, CompareLoop.i, 1)
      
      ComparePathName.s = GetGadgetItemText(#Gadget_RashadBin_FileList, CompareLoop.i, 2)
      
      If ComparePathName.s  + CompareFileName.s = FileList\CurrentDirectory.s  + FileList\CurrentFile.s
        
        ErrorFlag.i = #True
        
        Break
        
      EndIf
      
    Next CompareLoop.i
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If ErrorFlag.i = #False
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    AddGadgetItem(#Gadget_RashadBin_FileList, #AtTheEndOfTheList, FileList\CurrentFile.s + #LF$ + FileList\CurrentType.s + #LF$ + FileList\CurrentDirectory.s)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    TheLastLineInTheList.i = CountGadgetItems(#Gadget_RashadBin_FileList)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    SortResourceListEntries()
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    SendMessage_(GadgetID(#Gadget_RashadBin_FileList), #LVM_ENSUREVISIBLE, TheLastLineInTheList.i, #False)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    SetInfoBarArea("Headings",  "Info",  Str(TheLastLineInTheList.i)  + " Resources", #PB_Compiler_Procedure)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  Else
    
    SetInfoBarArea("Headings",  "Warn",  FileList\CurrentDirectory.s  + FileList\CurrentFile.s + " is already in the resource list", #PB_Compiler_Procedure)
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.61 (Windows - x86)
; CursorPosition = 98
; FirstLine = 60
; Folding = -
; EnableXP