﻿;============================================================================================================================================================
; Get the last windows error and return the error string
;============================================================================================================================================================

Procedure.s GetLastErrorString(Error.i = 0)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

  If Not Error.i
    
    Error.i = GetLastError_()
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  Protected Buffer.i, ResultString.s
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If FormatMessage_(#FORMAT_MESSAGE_ALLOCATE_BUFFER | #FORMAT_MESSAGE_FROM_SYSTEM, 0, Error.i, 0, @Buffer, 0, 0)
    
    ResultString.s = PeekS(Buffer.i)
    
    LocalFree_(Buffer.i)
    
    ProcedureReturn ResultString.s
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.61 (Windows - x86)
; CursorPosition = 41
; Folding = -
; EnableAsm
; EnableXP