﻿;///--------------------------------------------------------------------------------------------------------------------------------------------///
;/// Read an existing preferences file                                                                                                          ///
;///--------------------------------------------------------------------------------------------------------------------------------------------///

Procedure ReadPreferencesFile()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If FileSize(Program\BikeInitialisationFile.s) = -1
    
    CreatePreferencesFile()
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  OpenPreferences(Program\BikeInitialisationFile.s, #PB_Preference_GroupSeparator)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  PreferenceGroup("Bike Information")             
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  Program\BikeInformationPath.s = ReadPreferenceString("Bikes Directory", Program\BikeInformationPath.s)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  PreferenceGroup("Owner Information")             
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  Program\OwnerName.s = ReadPreferenceString("Owner Name", Program\OwnerName.s)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  ClosePreferences()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.43 LTS (Windows - x86)
; CursorPosition = 32
; FirstLine = 11
; Folding = -
; EnableAsm
; EnableUnicode
; EnableXP