﻿;==============================================================================================================================================================================
; Set a new resource file list to save to
;==============================================================================================================================================================================

Procedure SetNewResourceFileList()
  
  
  ;------------------------------------------------------------------------------------------------
  ; Ask the user for a new filename
  ;------------------------------------------------------------------------------------------------
  
  NewResourceFileName.s = SaveFileRequester("New resources file list to save to", Program\ResourceListDirectory.s, "Resource file | *.pbrsc", 1)
  
  ;------------------------------------------------------------------------------------------------
  ; Get the correct extension for the filename if the user forgot
  ;------------------------------------------------------------------------------------------------
  
  CorrectExtension.i = SelectedFilePattern()
  
  ;------------------------------------------------------------------------------------------------
  ; Check which extension it was and add it
  ;------------------------------------------------------------------------------------------------
  
  Select  CorrectExtension.i
      
    Case 0
      
      If GetExtensionPart(NewResourceFileName.s) <> "pbrsc"
        
        NewResourceFileName.s + ".pbrsc"
        
      EndIf
      
  EndSelect
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If NewResourceFileName.s <> #EmptyString
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    SetInfoBarArea("Headings",  "Info",  GetFilePart(NewResourceFileName.s), #PB_Compiler_Procedure)

    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  Else
    
    SetInfoBarArea("Headings",  "Info",  "User didn't choose a file so we should just stop right now", #PB_Compiler_Procedure)
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.61 (Windows - x86)
; CursorPosition = 55
; FirstLine = 7
; Folding = -
; EnableAsm
; EnableXP
; EnableUnicode