﻿;==============================================================================================================================================================================
; Save the current list of errors to a dated log file
;==============================================================================================================================================================================

Procedure SaveCurrentErrorLog()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------  
  
  NumberOfItems.i = CountGadgetItems(#Gadget_RashadBin_Errorlist)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------  
  
  If NumberOfItems.i <> #NoListItems
    
    ;------------------------------------------------------------------------------------------------
    ; 
    ;------------------------------------------------------------------------------------------------  
    
    ErrorLogHandle.i = CreateFile(#PB_Any, Program\ErrorDirectory.s + #Basename + #Version + Program\CompileCounters  + ".Log")
    
    ;------------------------------------------------------------------------------------------------
    ; 
    ;------------------------------------------------------------------------------------------------  
    
    If ErrorLogHandle.i <> #NoFileHandle
      
      ;------------------------------------------------------------------------------------------------
      ; 
      ;------------------------------------------------------------------------------------------------  
      
      For LogWriteLoop.i = 0 To NumberOfItems.i -1
        
        StatusString.s    = GetGadgetItemText(#Gadget_RashadBin_Errorlist, LogWriteLoop.i, 0) + ", "
        
        ErrorString.s     = GetGadgetItemText(#Gadget_RashadBin_Errorlist, LogWriteLoop.i, 1) + ", "
        
        ProcedureString.s = GetGadgetItemText(#Gadget_RashadBin_Errorlist, LogWriteLoop.i, 2)
        
        WriteStringN(ErrorLogHandle.i, StatusString.s + ErrorString.s + ProcedureString.s)
        
      Next
      
      ;------------------------------------------------------------------------------------------------
      ; 
      ;------------------------------------------------------------------------------------------------  
      
      CloseFile(ErrorLogHandle.i)
      
      ;------------------------------------------------------------------------------------------------
      ; 
      ;------------------------------------------------------------------------------------------------  
      
    Else
      
      SetInfoBarArea("Headings",  "Error",  "Could not create an error log file for writing tos", #PB_Compiler_Procedure)
      
    EndIf
    
    ;------------------------------------------------------------------------------------------------
    ; 
    ;------------------------------------------------------------------------------------------------  
    
  Else
    
    SetInfoBarArea("Headings",  "Warn",  "No items in the list to write to the log", #PB_Compiler_Procedure)
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------  
  
EndProcedure

; IDE Options = PureBasic 5.61 (Windows - x86)
; CursorPosition = 22
; FirstLine = 3
; Folding = -
; EnableAsm
; EnableXP