﻿;==============================================================================================================================================================================
; Keep track of the last used resource file for automatic reloading
;==============================================================================================================================================================================

Procedure SaveLastUsedFileSemaphore()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  CurrentResourceList.s         = GetGadgetText(#Gadget_RashadBin_sCurrentresourcelist)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  LastUsedResourceFileHandle.i  = CreateFile(#PB_Any, Program\ConfigDirectory.s + "LastUsedResourceFile.sem")
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If LastUsedResourceFileHandle.i <> #NoFileHandle
    
    WriteStringN(LastUsedResourceFileHandle.i, Program\ResourceListDirectory.s  + CurrentResourceList.s)
    
    CloseFile(LastUsedResourceFileHandle.i)
    
  Else
    
    SetInfoBarArea("Headings",  "Error",  "LastUsedResourceFile.sem file could not be created", #PB_Compiler_Procedure)
  
  EndIf

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

EndProcedure

; IDE Options = PureBasic 5.61 (Windows - x86)
; CursorPosition = 30
; Folding = -
; EnableAsm
; EnableXP
; EnableUnicode