﻿;==========================================================================================================================================================
; Select a new DataSection file to write to
;==========================================================================================================================================================

Procedure SetNewDatasectionFile()
  
  ;------------------------------------------------------------------------------------------------
  ; Ask the user for a new filename
  ;------------------------------------------------------------------------------------------------
  
  NewDataSectionFileName.s = SaveFileRequester("New Purebasic Datasection include file to write to", Program\SavedIncludesDirectory.s, "Include file | *.pbi", 1)
  
  ;------------------------------------------------------------------------------------------------
  ; Get the correct extension for the filename if the user forgot
  ;------------------------------------------------------------------------------------------------
  
  CorrectExtension.i = SelectedFilePattern()
  
  ;------------------------------------------------------------------------------------------------
  ; Check which extension it was and add it
  ;------------------------------------------------------------------------------------------------
  
  Select  CorrectExtension.i
      
    Case 0
      
      If GetExtensionPart(NewDataSectionFileName.s) <> "pbi"
        
        ExtensionPart.s = ".pbi"
        
      EndIf
      
  EndSelect
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If NewDataSectionFileName.s <> #EmptyString
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    SetGadgetText(#Gadget_RashadBin_sCurrentdatafile, GetFilePart(NewDataSectionFileName.s  + ExtensionPart.s))
    
    SetInfoBarArea("Headings",  "Info",  GetFilePart(NewDataSectionFileName.s  + ExtensionPart.s) + " set", #PB_Compiler_Procedure)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  Else
    
    SetInfoBarArea("Headings",  "Info",  "User didn't choose a file so we should just stop right now", #PB_Compiler_Procedure)
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.61 (Windows - x86)
; CursorPosition = 54
; FirstLine = 7
; Folding = -
; EnableXP